Subject: Re: [PATCH] fetch: fix following tags when fetching specific OID

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Mar 2025 16:10:02 -0800

Taylor Blau <[email-masked]> writes:

> Fix this by only adding "HEAD" to the ref prefixes when we know that we
> are already limiting the advertisement. In either case we'll learn about
> HEAD (either through the limited advertisement, or implicitly through a
> full advertisement).

Good.  "implicitly through a full advertisement" is a good thing to
explicitly state here ;-)

> Reported-by: Igor Todorovski <[email-masked]>
> Co-authored-by: Jeff King <[email-masked]>
> Signed-off-by: Jeff King <[email-masked]>
> Signed-off-by: Taylor Blau <[email-masked]>
> ---
> Peff and I talked about this today, and neither of us could find any
> reasons not to pursue the approach listed in the footnote of
>
>   <[email-masked]>
>
> , but this is a more conservative approach that should fix the issue and
> apply cleanly on top of 'maint'. It may be worth picking this into 2.49,
> even though we are already quite late into the -rc cycle, this is a
> fairly nasty bug.

Thanks, both.